Create Replication Mapping
Add replication mappings for a vSphere Replication Management Server in a given pairing.
The ID of the pairing between this vSphere Replication server and the remote one.
The ID of the VRMS
Specs describing the new replication mappings.
[
{
"source_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e",
"target_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e"
}
]
Task to monitor the operation progress.
{
"id": "string",
"description": "string",
"description_id": "string",
"entity": "string",
"entity_name": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"queued_time": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings